package ru.dbotthepony.mc.otm.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.menu.PatternStorageMenu;
import ru.dbotthepony.mc.otm.screen.panels.Dock;
import ru.dbotthepony.mc.otm.screen.panels.FlexGridPanel;
import ru.dbotthepony.mc.otm.screen.panels.FramePanel;
import ru.dbotthepony.mc.otm.screen.panels.SlotPanel;

import javax.annotation.Nullable;

public class PatternStorageScreen extends MatteryScreen<PatternStorageMenu> {
	public PatternStorageScreen(PatternStorageMenu p_97741_, Inventory p_97742_, Component p_97743_) {
		super(p_97741_, p_97742_, p_97743_);
	}

	@Nullable
	@Override
	protected FramePanel makeMainFrame() {
		var frame = super.makeMainFrame();

		var grid = new FlexGridPanel(this, frame, 0, 0, 0, 0);
		grid.setDock(Dock.FILL);

		for (var slot : menu.pattern_slots) {
			new SlotPanel(this, grid, 0, 0, slot).setDockMargin(1, 1, 1, 1);
		}

		return frame;
	}
}
